Check TLS certificate domain resolution
GET
/certificates/domain-check
const url = 'https://sylve.lan:8181/api/certificates/domain-check?domain=example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/certificates/domain-check?domain=example' \ --header 'Authorization: <Authorization>'Compare a DNS hostname’s resolved addresses with public addresses detected for this node
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”domain
required
string
DNS hostname
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
domain
string
matches
boolean
publicAddresses
Array<string>
resolved
Array<string>
warning
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "domain": "example", "matches": true, "publicAddresses": [ "example" ], "resolved": [ "example" ], "warning": "example" }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Bad Gateway
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}